package de.uni_marburg.powersort.data;

import de.uni_marburg.powersort.benchmark.IntegerArray;
import de.uni_marburg.powersort.benchmark.LongFormatter;

public class DescendingIntegers extends IntegerSupplier {
    private static final int SIZE = 50_000_000;

    public DescendingIntegers() {
        super(IntegerArray.descending(SIZE, 0));
    }

    @Override
    public String title() {
        return "Array of " + LongFormatter.formatUnderscore(SIZE) + " descending Integer objects.";
    }
}
